/* coding: utf-8 */
/* Copyright (C) 2018 SofTek Systems, Inc. */

$(function() {

    init_sidfm();
    init_paginator();

    activate_sidebar_item('sidebar-item-alert-manip');

   (function() {
       // Sidebar hide control
       var cb = document.getElementById('content-block');
       var sb = document.getElementById('sidebar');
       // windows size at loading page
       var sW = window.innerWidth;
       if (sW < 1200) {
	   cb.classList.add('auto-active');
	   sb.classList.add('auto-active');
       }
       $(window).on('load resize', function() {
	   var windowWidth = window.innerWidth;
	   $(function() {
	       if (windowWidth < 1200) {
		   cb.classList.add('auto-active');
		   sb.classList.add('auto-active');
	       } else {
		   cb.classList.remove('auto-active');
		   sb.classList.remove('auto-active');
	       }
	   });
       });
    })();

    $('#exec-update-threshold').on('click', function(){
        var selected_sri = $('#select_sri').val();
        var selected_cvss = $('#select_cvss').val();
        var path = $('#sidfm_vulnerabilities_threshold_update_path').val();
        $.post(
            path,
            { 'sri': selected_sri, 'cvss': selected_cvss },
            function(data){
                update_view(data['host_ids'], data['html_ids']);
            } 
        );
    });
});
