#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

class SidfmdLproduct < ActiveRecord::Base
  has_many :sidfmd_lversions

  RELEASE_DATE_LABEL = 'リリース日付'
  SUPPORT_DATE_LABEL = '取扱開始日付'
  EOL_DATE_LABEL = 'EOL日付'

  def is_support_end
    eol_date ? Date.today > eol_date : false
  end

  def self.date_to_string(date)
    date.strftime('%Y/%m/%d')
  end

end
