# -*- coding: utf-8 -*-

class SidfmdRuleCIssueUpdate < ActiveRecord::Base
  belongs_to :sidfmd_rule_cond

  # 条件「脆弱性の新規登録がcnt_create件以上ある」が有効の場合true
  def is_create
    !cnt_create.nil? ? cnt_create > 0 : false
  end

  # 条件「脆弱性の削除（ステータスが影響無に変更）がcnt_remove件以上ある」が有効の場合true
  # なお、脆弱性の削除とは、脆弱性の同期時に脆弱性の影響が無くなったと判定された場合のこと
  # を指す。
  def is_remove
    !cnt_remove.nil? ? cnt_remove > 0 : false
  end

end
